#!/usr/bin/env python
# -*- coding: utf-8 -*-

from pylab import plotfile, show, gca, figure, xlabel, ylabel, title, legend, xlim, ylim
from matplotlib.backends.backend_pdf import PdfPages


def plotdata(data,ylabel_str,title_str,flood,leg_loc,is_y_lim) :
	print data+'.txt'
	
	plotfile(data+'_2.txt', (0,1), delimiter='\t',newfig=True,linestyle='-',marker='+', label='SDP + Our proposal')	
	plotfile(data+'_3.txt', (0,1), delimiter='\t',newfig=False,linestyle='--',marker='+',  label='Threshold + Our proposal')		
	plotfile(data+'_4.txt', (0,1), delimiter='\t',newfig=False,linestyle='-.',marker='+',  label='Random + Our proposal')		
	plotfile(data+'.txt', (0,1), delimiter='\t',newfig=False,linestyle='-',marker='x', label='SDP')
	plotfile(data+'_0.txt', (0,1), delimiter='\t',newfig=False,linestyle='--',marker='x', label='Threshold')
	plotfile(data+'_1.txt', (0,1), delimiter='\t',newfig=False,linestyle='-.',marker='x', label='Random')	
	if(flood) : plotfile('flood.txt', (0,1), delimiter='\t',newfig=False,linestyle='-',marker='o', label='Flooding')
	xlim(25,475)	
	if (is_y_lim) : ylim(25,425)		
	xlabel('Number of neighbors reachable')
	ylabel(ylabel_str)
	#title(title_str)
	legend(loc=leg_loc)
	
	
	
def pdfdata(pdffile,datafile,ylabel_str,title_str,flood,leg_loc,is_y_lim):
	pp = PdfPages(pdffile)
	plotdata(datafile,ylabel_str,title_str,flood,leg_loc,is_y_lim)
	pp.savefig()
	pp.close()



	
pdfdata('capacity_neighborhood.pdf','Geolocation.Neighborhood.last_','Number of discovered neighbors',' Neighbor discovery',True,0,True)
pdfdata('capacity_delay.pdf','Geolocation.Delay.sample_mean','Average of delivery delay (s)','Delay average of message delivery',False,2,False)
pdfdata('capacity_inter_delay.pdf','Geolocation.Inter-hello_time.s','Average of time between information update (s)','Delay average between messages reception',False,0,False)





